> ## Documentation Index
> Fetch the complete documentation index at: https://docs.yieldo.xyz/llms.txt
> Use this file to discover all available pages before exploring further.

# List Vaults



## OpenAPI

````yaml https://api.yieldo.xyz/openapi.json get /v1/vaults
openapi: 3.1.0
info:
  title: Yieldo API
  description: Cross-chain deposit aggregator for ERC-4626 and custom yield vaults
  version: 1.0.0
servers:
  - url: https://api.yieldo.xyz
    description: Production
security: []
paths:
  /v1/vaults:
    get:
      tags:
        - vaults
      summary: List Vaults
      operationId: list_vaults_v1_vaults_get
      parameters:
        - name: chain_id
          in: query
          required: false
          schema:
            anyOf:
              - type: integer
              - type: 'null'
            description: Filter by chain ID
            title: Chain Id
          description: Filter by chain ID
        - name: asset
          in: query
          required: false
          schema:
            anyOf:
              - type: string
              - type: 'null'
            description: Filter by asset symbol
            title: Asset
          description: Filter by asset symbol
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                type: array
                items:
                  $ref: '#/components/schemas/VaultResponse'
                title: Response List Vaults V1 Vaults Get
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
components:
  schemas:
    VaultResponse:
      properties:
        vault_id:
          type: string
          title: Vault Id
        name:
          type: string
          title: Name
        address:
          type: string
          title: Address
        chain_id:
          type: integer
          title: Chain Id
        chain_name:
          type: string
          title: Chain Name
        asset:
          $ref: '#/components/schemas/AssetInfo'
        accepted_assets:
          items:
            $ref: '#/components/schemas/AssetInfo'
          type: array
          title: Accepted Assets
          default: []
        deposit_router:
          type: string
          title: Deposit Router
        type:
          type: string
          title: Type
          default: morpho
        min_deposit:
          anyOf:
            - type: string
            - type: 'null'
          title: Min Deposit
        no_minimum:
          type: boolean
          title: No Minimum
          default: false
        curator:
          anyOf:
            - type: string
            - type: 'null'
          title: Curator
        paused:
          type: boolean
          title: Paused
          default: false
        paused_reason:
          anyOf:
            - type: string
            - type: 'null'
          title: Paused Reason
        external_router:
          type: boolean
          title: External Router
          default: false
      type: object
      required:
        - vault_id
        - name
        - address
        - chain_id
        - chain_name
        - asset
        - deposit_router
      title: VaultResponse
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
          title: Detail
      type: object
      title: HTTPValidationError
    AssetInfo:
      properties:
        address:
          type: string
          title: Address
        symbol:
          type: string
          title: Symbol
        decimals:
          type: integer
          title: Decimals
      type: object
      required:
        - address
        - symbol
        - decimals
      title: AssetInfo
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
          title: Location
        msg:
          type: string
          title: Message
        type:
          type: string
          title: Error Type
      type: object
      required:
        - loc
        - msg
        - type
      title: ValidationError

````